Package net.shibboleth.idp.module.impl

# Class ModuleGaugeSet

java.lang.Object
org.springframework.context.support.ApplicationObjectSupport
net.shibboleth.idp.module.impl.ModuleGaugeSet

All Implemented Interfaces:
  `com.codahale.metrics.Metric`, `com.codahale.metrics.MetricFilter`, `com.codahale.metrics.MetricSet`, `Aware`, `ApplicationContextAware`

public class ModuleGaugeSet extends ApplicationObjectSupport implements com.codahale.metrics.MetricSet, com.codahale.metrics.MetricFilter
Guage set to report the Modules' statuses.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`DEFAULT_METRIC_NAME`
Default prefix for metrics.
`private final Map<String,com.codahale.metrics.Metric>`
`gauges`
The map of gauges.

### Fields inherited from class org.springframework.context.support.ApplicationObjectSupport

`logger`

### Fields inherited from interface com.codahale.metrics.MetricFilter

`ALL`

## Constructor Summary

Constructors
Constructor
Description
`ModuleGaugeSet()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`private String`
`getIdpHome()`
Get the idp home location (from the properties in the context).
`Map<String,com.codahale.metrics.Metric>`
`getMetrics()`
`private Map<String,Boolean>`
`getModules()`
Return the module Ids and whether rhey are enabled or not.
`protected boolean`
`isContextRequired()`
`boolean`
`matches(String name, com.codahale.metrics.Metric metric)`

### Methods inherited from class org.springframework.context.support.ApplicationObjectSupport

`getApplicationContext, getMessageSourceAccessor, initApplicationContext, initApplicationContext, obtainApplicationContext, requiredContextClass, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_METRIC_NAME

@Nonnull @NotEmpty private static final String DEFAULT_METRIC_NAME
Default prefix for metrics.

See Also:
  - Constant Field Values

### gauges

@Nonnull private final Map<String,com.codahale.metrics.Metric> gauges
The map of gauges.

## Constructor Details

### ModuleGaugeSet

public ModuleGaugeSet()
Constructor.

## Method Details

### getModules

@Nonnull @Unmodifiable @NotLive private Map<String,Boolean> getModules()
Return the module Ids and whether rhey are enabled or not.

Returns:
  the modules

### getIdpHome

@Nonnull private String getIdpHome()
Get the idp home location (from the properties in the context).

Returns:
  idp home

### getMetrics

public Map<String,com.codahale.metrics.Metric> getMetrics()

Specified by:
  `getMetrics` in interface `com.codahale.metrics.MetricSet`

### isContextRequired

protected boolean isContextRequired()

Overrides:
  `isContextRequired` in class `ApplicationObjectSupport`

### matches

public boolean matches(String name, com.codahale.metrics.Metric metric)

Specified by:
  `matches` in interface `com.codahale.metrics.MetricFilter`